Get Service Capability
Get the registered VCF Management Service Capability.
Get the registered VCF Management Service Capability.
Request
URI
GET
https://{api_host}/cloudapi/1.0.0/serviceRegistryCapabilities/{key}
COPY
Path Parameters
string
key
Required
key used to uniquely identify a VCF Management Service Capability
Responses
200
OK
Returns
ServiceCapability
of type(s)
application/json;version=9.1.0
{
"name": "VCF OPS, VCFA",
"type": "string",
"key": "string",
"oidcConfigUrl": "https://vrops1.company.com/suite-api/.well-known/openid-configuration",
"secret": {
"type": "string",
"username": "string",
"password": "string",
"refresh_token": "string"
},
"nodes": [
{
"name": "VCFA, VCF OPS",
"addresses": [
{
"type": "string",
"value": "10.10.10.10, 2001:0db8:85a3:0000:0000:8a2e:0370:7334, vrslcm1.company.com"
}
],
"certificates": [
"string"
]
}
]
}
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/cloudapi/1.0.0/serviceRegistryCapabilities/{key}
Availability
Added in 9.0.0
Vcf Service Capabilities Operations
GET
Query Service Capabilities
POST
Create Service Capabilities
PUT
Update Service Capabilities
DELETE
Delete Service Capabilities
GET
Get Service Capability
PUT
Update Service Capability
DELETE
Delete Service Capability